Index: c/src/tests/psxtests/psxhdrs/clock04.c
===================================================================
--- c/src/tests/psxtests/psxhdrs/clock04.c	(revision 8442b4c7d2ec93380a435fa76818597c527e1337)
+++ c/src/tests/psxtests/psxhdrs/clock04.c	(revision 8442b4c7d2ec93380a435fa76818597c527e1337)
@@ -0,0 +1,29 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <time.h>
+ 
+#ifndef _POSIX_CPUTIME
+#error "rtems is supposed to have clock_getcpuclockid"
+#endif
+
+void test( void )
+{
+  pid_t      pid = 0;
+  clockid_t  clock_id;
+  int        result;
+
+  result = clock_getcpuclockid( pid, &clock_id );
+}
Index: c/src/tests/psxtests/psxhdrs/clock05.c
===================================================================
--- c/src/tests/psxtests/psxhdrs/clock05.c	(revision 8442b4c7d2ec93380a435fa76818597c527e1337)
+++ c/src/tests/psxtests/psxhdrs/clock05.c	(revision 8442b4c7d2ec93380a435fa76818597c527e1337)
@@ -0,0 +1,35 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <time.h>
+ 
+#ifndef _POSIX_CPUTIME
+#error "rtems is supposed to have clock_setenable_attr"
+#endif
+#ifndef _POSIX_THREAD_CPUTIME
+#error "rtems is supposed to have clock_setenable_attr"
+#endif
+
+void test( void )
+{
+  clockid_t  clock_id = 0;
+  int        attr;
+  int        result;
+
+  attr = CLOCK_ENABLED;
+  attr = CLOCK_DISABLED;
+
+  result = clock_setenable_attr( clock_id, attr );
+}
Index: c/src/tests/psxtests/psxhdrs/clock06.c
===================================================================
--- c/src/tests/psxtests/psxhdrs/clock06.c	(revision 8442b4c7d2ec93380a435fa76818597c527e1337)
+++ c/src/tests/psxtests/psxhdrs/clock06.c	(revision 8442b4c7d2ec93380a435fa76818597c527e1337)
@@ -0,0 +1,32 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <time.h>
+ 
+#ifndef _POSIX_CPUTIME
+#error "rtems is supposed to have clock_getenable_attr"
+#endif
+#ifndef _POSIX_THREAD_CPUTIME
+#error "rtems is supposed to have clock_getenable_attr"
+#endif
+
+void test( void )
+{
+  clockid_t  clock_id = 0;
+  int        attr;
+  int        result;
+
+  result = clock_getenable_attr( clock_id, &attr );
+}
Index: testsuites/psxtests/psxhdrs/clock04.c
===================================================================
--- testsuites/psxtests/psxhdrs/clock04.c	(revision 8442b4c7d2ec93380a435fa76818597c527e1337)
+++ testsuites/psxtests/psxhdrs/clock04.c	(revision 8442b4c7d2ec93380a435fa76818597c527e1337)
@@ -0,0 +1,29 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <time.h>
+ 
+#ifndef _POSIX_CPUTIME
+#error "rtems is supposed to have clock_getcpuclockid"
+#endif
+
+void test( void )
+{
+  pid_t      pid = 0;
+  clockid_t  clock_id;
+  int        result;
+
+  result = clock_getcpuclockid( pid, &clock_id );
+}
Index: testsuites/psxtests/psxhdrs/clock05.c
===================================================================
--- testsuites/psxtests/psxhdrs/clock05.c	(revision 8442b4c7d2ec93380a435fa76818597c527e1337)
+++ testsuites/psxtests/psxhdrs/clock05.c	(revision 8442b4c7d2ec93380a435fa76818597c527e1337)
@@ -0,0 +1,35 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <time.h>
+ 
+#ifndef _POSIX_CPUTIME
+#error "rtems is supposed to have clock_setenable_attr"
+#endif
+#ifndef _POSIX_THREAD_CPUTIME
+#error "rtems is supposed to have clock_setenable_attr"
+#endif
+
+void test( void )
+{
+  clockid_t  clock_id = 0;
+  int        attr;
+  int        result;
+
+  attr = CLOCK_ENABLED;
+  attr = CLOCK_DISABLED;
+
+  result = clock_setenable_attr( clock_id, attr );
+}
Index: testsuites/psxtests/psxhdrs/clock06.c
===================================================================
--- testsuites/psxtests/psxhdrs/clock06.c	(revision 8442b4c7d2ec93380a435fa76818597c527e1337)
+++ testsuites/psxtests/psxhdrs/clock06.c	(revision 8442b4c7d2ec93380a435fa76818597c527e1337)
@@ -0,0 +1,32 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <time.h>
+ 
+#ifndef _POSIX_CPUTIME
+#error "rtems is supposed to have clock_getenable_attr"
+#endif
+#ifndef _POSIX_THREAD_CPUTIME
+#error "rtems is supposed to have clock_getenable_attr"
+#endif
+
+void test( void )
+{
+  clockid_t  clock_id = 0;
+  int        attr;
+  int        result;
+
+  result = clock_getenable_attr( clock_id, &attr );
+}