Index: c/src/lib/libnetworking/Makefile.in
===================================================================
--- c/src/lib/libnetworking/Makefile.in	(revision ecec2ba7bd4f5b4786c30f7ed40db5faa124352d)
+++ c/src/lib/libnetworking/Makefile.in	(revision 8548fe0ae29eafea856090e742c1fd205ed4b0fb)
@@ -9,4 +9,6 @@
 PROJECT_ROOT = @PROJECT_ROOT@
 
+INSTALL = @INSTALL@
+
 include $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 include $(RTEMS_ROOT)/make/directory.cfg
Index: c/src/lib/libnetworking/include/Makefile.in
===================================================================
--- c/src/lib/libnetworking/include/Makefile.in	(revision ecec2ba7bd4f5b4786c30f7ed40db5faa124352d)
+++ c/src/lib/libnetworking/include/Makefile.in	(revision 8548fe0ae29eafea856090e742c1fd205ed4b0fb)
@@ -8,4 +8,6 @@
 RTEMS_ROOT = @top_srcdir@
 PROJECT_ROOT = @PROJECT_ROOT@
+
+INSTALL = @INSTALL@
 
 H_PIECES=bpfilter loop netdb opt_ipfw opt_mrouting \
@@ -55,11 +57,11 @@
 
 all:	$(SRCS)
-	$(INSTALL) -m 444 $(H_FILES) $(PROJECT_INCLUDE)/networking
-	$(INSTALL) -m 444 $(SYS_H_FILES) $(PROJECT_INCLUDE)/networking/sys
-	$(INSTALL) -m 444 $(RTEMS_H_FILES) $(PROJECT_INCLUDE)/networking/rtems
-	$(INSTALL) -m 444 $(MACHINE_H_FILES) $(PROJECT_INCLUDE)/networking/machine
-	$(INSTALL) -m 444 $(VM_H_FILES) $(PROJECT_INCLUDE)/networking/vm
-	$(INSTALL) -m 444 $(NET_H_FILES) $(PROJECT_INCLUDE)/networking/net
-	$(INSTALL) -m 444 $(NETINET_H_FILES) $(PROJECT_INCLUDE)/networking/netinet
-	$(INSTALL) -m 444 $(ARPA_H_FILES) $(PROJECT_INCLUDE)/networking/arpa
-	$(INSTALL) -m 444 $(NFS_H_FILES) $(PROJECT_INCLUDE)/networking/nfs
+	$(INSTALL_CHANGE) -m 444 $(H_FILES) $(PROJECT_INCLUDE)/networking
+	$(INSTALL_CHANGE) -m 444 $(SYS_H_FILES) $(PROJECT_INCLUDE)/networking/sys
+	$(INSTALL_CHANGE) -m 444 $(RTEMS_H_FILES) $(PROJECT_INCLUDE)/networking/rtems
+	$(INSTALL_CHANGE) -m 444 $(MACHINE_H_FILES) $(PROJECT_INCLUDE)/networking/machine
+	$(INSTALL_CHANGE) -m 444 $(VM_H_FILES) $(PROJECT_INCLUDE)/networking/vm
+	$(INSTALL_CHANGE) -m 444 $(NET_H_FILES) $(PROJECT_INCLUDE)/networking/net
+	$(INSTALL_CHANGE) -m 444 $(NETINET_H_FILES) $(PROJECT_INCLUDE)/networking/netinet
+	$(INSTALL_CHANGE) -m 444 $(ARPA_H_FILES) $(PROJECT_INCLUDE)/networking/arpa
+	$(INSTALL_CHANGE) -m 444 $(NFS_H_FILES) $(PROJECT_INCLUDE)/networking/nfs
Index: c/src/lib/libnetworking/kern/Makefile.in
===================================================================
--- c/src/lib/libnetworking/kern/Makefile.in	(revision ecec2ba7bd4f5b4786c30f7ed40db5faa124352d)
+++ c/src/lib/libnetworking/kern/Makefile.in	(revision 8548fe0ae29eafea856090e742c1fd205ed4b0fb)
@@ -8,4 +8,6 @@
 RTEMS_ROOT = @top_srcdir@
 PROJECT_ROOT = @PROJECT_ROOT@
+
+INSTALL = @INSTALL@
 
 LIBNAME=lib.a
Index: c/src/lib/libnetworking/lib/Makefile.in
===================================================================
--- c/src/lib/libnetworking/lib/Makefile.in	(revision ecec2ba7bd4f5b4786c30f7ed40db5faa124352d)
+++ c/src/lib/libnetworking/lib/Makefile.in	(revision 8548fe0ae29eafea856090e742c1fd205ed4b0fb)
@@ -8,4 +8,6 @@
 RTEMS_ROOT = @top_srcdir@
 PROJECT_ROOT = @PROJECT_ROOT@
+
+INSTALL = @INSTALL@
 
 LIBNAME=lib.a
Index: c/src/lib/libnetworking/libc/Makefile.in
===================================================================
--- c/src/lib/libnetworking/libc/Makefile.in	(revision ecec2ba7bd4f5b4786c30f7ed40db5faa124352d)
+++ c/src/lib/libnetworking/libc/Makefile.in	(revision 8548fe0ae29eafea856090e742c1fd205ed4b0fb)
@@ -8,4 +8,6 @@
 RTEMS_ROOT = @top_srcdir@
 PROJECT_ROOT = @PROJECT_ROOT@
+
+INSTALL = @INSTALL@
 
 LIBNAME=lib.a
Index: c/src/lib/libnetworking/net/Makefile.in
===================================================================
--- c/src/lib/libnetworking/net/Makefile.in	(revision ecec2ba7bd4f5b4786c30f7ed40db5faa124352d)
+++ c/src/lib/libnetworking/net/Makefile.in	(revision 8548fe0ae29eafea856090e742c1fd205ed4b0fb)
@@ -8,4 +8,6 @@
 RTEMS_ROOT = @top_srcdir@
 PROJECT_ROOT = @PROJECT_ROOT@
+
+INSTALL = @INSTALL@
 
 LIBNAME=lib.a
Index: c/src/lib/libnetworking/netinet/Makefile.in
===================================================================
--- c/src/lib/libnetworking/netinet/Makefile.in	(revision ecec2ba7bd4f5b4786c30f7ed40db5faa124352d)
+++ c/src/lib/libnetworking/netinet/Makefile.in	(revision 8548fe0ae29eafea856090e742c1fd205ed4b0fb)
@@ -8,4 +8,6 @@
 RTEMS_ROOT = @top_srcdir@
 PROJECT_ROOT = @PROJECT_ROOT@
+
+INSTALL = @INSTALL@
 
 LIBNAME=lib.a
Index: c/src/lib/libnetworking/nfs/Makefile.in
===================================================================
--- c/src/lib/libnetworking/nfs/Makefile.in	(revision ecec2ba7bd4f5b4786c30f7ed40db5faa124352d)
+++ c/src/lib/libnetworking/nfs/Makefile.in	(revision 8548fe0ae29eafea856090e742c1fd205ed4b0fb)
@@ -8,4 +8,6 @@
 RTEMS_ROOT = @top_srcdir@
 PROJECT_ROOT = @PROJECT_ROOT@
+
+INSTALL = @INSTALL@
 
 LIBNAME=lib.a
Index: c/src/lib/libnetworking/rtems/Makefile.in
===================================================================
--- c/src/lib/libnetworking/rtems/Makefile.in	(revision ecec2ba7bd4f5b4786c30f7ed40db5faa124352d)
+++ c/src/lib/libnetworking/rtems/Makefile.in	(revision 8548fe0ae29eafea856090e742c1fd205ed4b0fb)
@@ -8,4 +8,6 @@
 RTEMS_ROOT = @top_srcdir@
 PROJECT_ROOT = @PROJECT_ROOT@
+
+INSTALL = @INSTALL@
 
 LIBNAME=lib.a
Index: c/src/lib/libnetworking/wrapup/Makefile.in
===================================================================
--- c/src/lib/libnetworking/wrapup/Makefile.in	(revision ecec2ba7bd4f5b4786c30f7ed40db5faa124352d)
+++ c/src/lib/libnetworking/wrapup/Makefile.in	(revision 8548fe0ae29eafea856090e742c1fd205ed4b0fb)
@@ -8,4 +8,6 @@
 RTEMS_ROOT = @top_srcdir@
 PROJECT_ROOT = @PROJECT_ROOT@
+
+INSTALL = @INSTALL@
 
 NET_PIECES=kern lib libc net netinet nfs rtems