Index: c/src/lib/libbsp/m68k/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/.cvsignore	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/.cvsignore	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,6 +1,4 @@
-Makefile
-Makefile.in
 aclocal.m4
-autom4te.cache
+autom4te*.cache
 config.cache
 config.guess
@@ -11,4 +9,6 @@
 depcomp
 install-sh
+Makefile
+Makefile.in
 missing
 mkinstalldirs
Index: c/src/lib/libbsp/m68k/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/ChangeLog	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/ChangeLog	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,2 +1,8 @@
+2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* .cvsignore: Reformat.
+	Add autom4te*cache.
+	Remove autom4te.cache.
+
 2002-06-25	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/dmv152/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/dmv152/.cvsignore	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/dmv152/.cvsignore	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,6 +1,4 @@
-Makefile
-Makefile.in
 aclocal.m4
-autom4te.cache
+autom4te*.cache
 config.cache
 config.guess
@@ -11,4 +9,6 @@
 depcomp
 install-sh
+Makefile
+Makefile.in
 missing
 mkinstalldirs
Index: c/src/lib/libbsp/m68k/dmv152/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/dmv152/ChangeLog	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/dmv152/ChangeLog	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,2 +1,8 @@
+2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* .cvsignore: Reformat.
+	Add autom4te*cache.
+	Remove autom4te.cache.
+
 2002-08-21	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/efi332/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/efi332/.cvsignore	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/efi332/.cvsignore	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,6 +1,4 @@
-Makefile
-Makefile.in
 aclocal.m4
-autom4te.cache
+autom4te*.cache
 config.cache
 config.guess
@@ -11,4 +9,6 @@
 depcomp
 install-sh
+Makefile
+Makefile.in
 missing
 mkinstalldirs
Index: c/src/lib/libbsp/m68k/efi332/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/efi332/ChangeLog	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/efi332/ChangeLog	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,2 +1,8 @@
+2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* .cvsignore: Reformat.
+	Add autom4te*cache.
+	Remove autom4te.cache.
+
 2002-08-21	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/efi68k/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/efi68k/.cvsignore	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/efi68k/.cvsignore	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,6 +1,4 @@
-Makefile
-Makefile.in
 aclocal.m4
-autom4te.cache
+autom4te*.cache
 config.cache
 config.guess
@@ -11,4 +9,6 @@
 depcomp
 install-sh
+Makefile
+Makefile.in
 missing
 mkinstalldirs
Index: c/src/lib/libbsp/m68k/efi68k/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/efi68k/ChangeLog	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/efi68k/ChangeLog	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,2 +1,8 @@
+2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* .cvsignore: Reformat.
+	Add autom4te*cache.
+	Remove autom4te.cache.
+
 2002-08-21	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/gen68302/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/.cvsignore	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/gen68302/.cvsignore	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,6 +1,4 @@
-Makefile
-Makefile.in
 aclocal.m4
-autom4te.cache
+autom4te*.cache
 config.cache
 config.guess
@@ -11,4 +9,6 @@
 depcomp
 install-sh
+Makefile
+Makefile.in
 missing
 mkinstalldirs
Index: c/src/lib/libbsp/m68k/gen68302/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/ChangeLog	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/gen68302/ChangeLog	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,2 +1,8 @@
+2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* .cvsignore: Reformat.
+	Add autom4te*cache.
+	Remove autom4te.cache.
+
 2002-08-21	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/gen68340/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/.cvsignore	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/gen68340/.cvsignore	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,6 +1,4 @@
-Makefile
-Makefile.in
 aclocal.m4
-autom4te.cache
+autom4te*.cache
 config.cache
 config.guess
@@ -11,4 +9,6 @@
 depcomp
 install-sh
+Makefile
+Makefile.in
 missing
 mkinstalldirs
Index: c/src/lib/libbsp/m68k/gen68340/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/ChangeLog	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/gen68340/ChangeLog	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,2 +1,8 @@
+2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* .cvsignore: Reformat.
+	Add autom4te*cache.
+	Remove autom4te.cache.
+
 2002-08-21	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/gen68360/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/.cvsignore	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/gen68360/.cvsignore	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,6 +1,4 @@
-Makefile
-Makefile.in
 aclocal.m4
-autom4te.cache
+autom4te*.cache
 config.cache
 config.guess
@@ -11,4 +9,6 @@
 depcomp
 install-sh
+Makefile
+Makefile.in
 missing
 mkinstalldirs
Index: c/src/lib/libbsp/m68k/gen68360/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/ChangeLog	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/gen68360/ChangeLog	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,2 +1,8 @@
+2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* .cvsignore: Reformat.
+	Add autom4te*cache.
+	Remove autom4te.cache.
+
 2002-08-21	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/idp/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/idp/.cvsignore	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/idp/.cvsignore	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,6 +1,4 @@
-Makefile
-Makefile.in
 aclocal.m4
-autom4te.cache
+autom4te*.cache
 config.cache
 config.guess
@@ -11,4 +9,6 @@
 depcomp
 install-sh
+Makefile
+Makefile.in
 missing
 mkinstalldirs
Index: c/src/lib/libbsp/m68k/idp/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/idp/ChangeLog	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/idp/ChangeLog	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,2 +1,8 @@
+2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* .cvsignore: Reformat.
+	Add autom4te*cache.
+	Remove autom4te.cache.
+
 2002-08-21	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/mcf5206elite/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/.cvsignore	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/mcf5206elite/.cvsignore	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,6 +1,4 @@
-Makefile
-Makefile.in
 aclocal.m4
-autom4te.cache
+autom4te*.cache
 config.cache
 config.guess
@@ -11,4 +9,6 @@
 depcomp
 install-sh
+Makefile
+Makefile.in
 missing
 mkinstalldirs
Index: c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,2 +1,8 @@
+2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* .cvsignore: Reformat.
+	Add autom4te*cache.
+	Remove autom4te.cache.
+
 2002-08-21	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/mcf5206elite/tools/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/tools/.cvsignore	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/mcf5206elite/tools/.cvsignore	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,6 +1,4 @@
-Makefile
-Makefile.in
 aclocal.m4
-autom4te.cache
+autom4te*.cache
 config.cache
 config.guess
@@ -11,4 +9,6 @@
 depcomp
 install-sh
+Makefile
+Makefile.in
 missing
 mkinstalldirs
Index: c/src/lib/libbsp/m68k/mcf5206elite/tools/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/tools/ChangeLog	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/mcf5206elite/tools/ChangeLog	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,2 +1,8 @@
+2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* .cvsignore: Reformat.
+	Add autom4te*cache.
+	Remove autom4te.cache.
+
 2002-09-08	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mrm332/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/.cvsignore	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/mrm332/.cvsignore	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,6 +1,4 @@
-Makefile
-Makefile.in
 aclocal.m4
-autom4te.cache
+autom4te*.cache
 config.cache
 config.guess
@@ -11,4 +9,6 @@
 depcomp
 install-sh
+Makefile
+Makefile.in
 missing
 mkinstalldirs
Index: c/src/lib/libbsp/m68k/mrm332/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/ChangeLog	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/mrm332/ChangeLog	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,2 +1,8 @@
+2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* .cvsignore: Reformat.
+	Add autom4te*cache.
+	Remove autom4te.cache.
+
 2002-09-08	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mvme136/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/.cvsignore	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/mvme136/.cvsignore	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,6 +1,4 @@
-Makefile
-Makefile.in
 aclocal.m4
-autom4te.cache
+autom4te*.cache
 config.cache
 config.guess
@@ -11,4 +9,6 @@
 depcomp
 install-sh
+Makefile
+Makefile.in
 missing
 mkinstalldirs
Index: c/src/lib/libbsp/m68k/mvme136/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/ChangeLog	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/mvme136/ChangeLog	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,2 +1,8 @@
+2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* .cvsignore: Reformat.
+	Add autom4te*cache.
+	Remove autom4te.cache.
+
 2002-08-21	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/mvme147/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/.cvsignore	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/mvme147/.cvsignore	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,6 +1,4 @@
-Makefile
-Makefile.in
 aclocal.m4
-autom4te.cache
+autom4te*.cache
 config.cache
 config.guess
@@ -11,4 +9,6 @@
 depcomp
 install-sh
+Makefile
+Makefile.in
 missing
 mkinstalldirs
Index: c/src/lib/libbsp/m68k/mvme147/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/ChangeLog	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/mvme147/ChangeLog	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,2 +1,8 @@
+2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* .cvsignore: Reformat.
+	Add autom4te*cache.
+	Remove autom4te.cache.
+
 2002-08-21	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/mvme147s/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/.cvsignore	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/mvme147s/.cvsignore	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,6 +1,4 @@
-Makefile
-Makefile.in
 aclocal.m4
-autom4te.cache
+autom4te*.cache
 config.cache
 config.guess
@@ -11,4 +9,6 @@
 depcomp
 install-sh
+Makefile
+Makefile.in
 missing
 mkinstalldirs
Index: c/src/lib/libbsp/m68k/mvme147s/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/ChangeLog	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/mvme147s/ChangeLog	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,2 +1,8 @@
+2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* .cvsignore: Reformat.
+	Add autom4te*cache.
+	Remove autom4te.cache.
+
 2002-08-21	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/mvme162/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/.cvsignore	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/mvme162/.cvsignore	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,6 +1,4 @@
-Makefile
-Makefile.in
 aclocal.m4
-autom4te.cache
+autom4te*.cache
 config.cache
 config.guess
@@ -11,4 +9,6 @@
 depcomp
 install-sh
+Makefile
+Makefile.in
 missing
 mkinstalldirs
Index: c/src/lib/libbsp/m68k/mvme162/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/ChangeLog	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/mvme162/ChangeLog	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,2 +1,8 @@
+2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* .cvsignore: Reformat.
+	Add autom4te*cache.
+	Remove autom4te.cache.
+
 2002-08-21	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/mvme162/tools/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/tools/.cvsignore	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/mvme162/tools/.cvsignore	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,6 +1,4 @@
-Makefile
-Makefile.in
 aclocal.m4
-autom4te.cache
+autom4te*.cache
 config.cache
 config.guess
@@ -11,4 +9,6 @@
 depcomp
 install-sh
+Makefile
+Makefile.in
 missing
 mkinstalldirs
Index: c/src/lib/libbsp/m68k/mvme162/tools/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/tools/ChangeLog	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/mvme162/tools/ChangeLog	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,2 +1,8 @@
+2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* .cvsignore: Reformat.
+	Add autom4te*cache.
+	Remove autom4te.cache.
+
 2002-04-01	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mvme167/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/.cvsignore	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/mvme167/.cvsignore	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,6 +1,4 @@
-Makefile
-Makefile.in
 aclocal.m4
-autom4te.cache
+autom4te*.cache
 config.cache
 config.guess
@@ -11,4 +9,6 @@
 depcomp
 install-sh
+Makefile
+Makefile.in
 missing
 mkinstalldirs
Index: c/src/lib/libbsp/m68k/mvme167/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/ChangeLog	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/mvme167/ChangeLog	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,2 +1,8 @@
+2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* .cvsignore: Reformat.
+	Add autom4te*cache.
+	Remove autom4te.cache.
+
 2002-08-21	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/ods68302/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/.cvsignore	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/ods68302/.cvsignore	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,6 +1,4 @@
-Makefile
-Makefile.in
 aclocal.m4
-autom4te.cache
+autom4te*.cache
 config.cache
 config.guess
@@ -11,4 +9,6 @@
 depcomp
 install-sh
+Makefile
+Makefile.in
 missing
 mkinstalldirs
Index: c/src/lib/libbsp/m68k/ods68302/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/ChangeLog	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/ods68302/ChangeLog	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,2 +1,8 @@
+2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* .cvsignore: Reformat.
+	Add autom4te*cache.
+	Remove autom4te.cache.
+
 2002-08-21	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/sim68000/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/sim68000/.cvsignore	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/sim68000/.cvsignore	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,6 +1,4 @@
-Makefile
-Makefile.in
 aclocal.m4
-autom4te.cache
+autom4te*.cache
 config.cache
 config.guess
@@ -11,4 +9,6 @@
 depcomp
 install-sh
+Makefile
+Makefile.in
 missing
 mkinstalldirs
Index: c/src/lib/libbsp/m68k/sim68000/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/sim68000/ChangeLog	(revision e293efaf78079004e6747363c700d8cfd12a945f)
+++ c/src/lib/libbsp/m68k/sim68000/ChangeLog	(revision 8730f45f288a0538217e950714a01d21b09a3b0a)
@@ -1,2 +1,8 @@
+2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* .cvsignore: Reformat.
+	Add autom4te*cache.
+	Remove autom4te.cache.
+
 2002-08-21	Joel Sherrill <joel@OARcorp.com>
 