Index: c/src/tests/psxtests/ChangeLog
===================================================================
--- c/src/tests/psxtests/ChangeLog	(revision b315efeb384c3184d835162f82f9a5d7921a8644)
+++ c/src/tests/psxtests/ChangeLog	(revision 9131f234b1569bf64a5c644aae8fdaf284b03f17)
@@ -1,2 +1,292 @@
+2003-11-10	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* .cvsignore: Remove.
+	* ChangeLog: Remove.
+	* Makefile.am: Remove.
+	* configure.ac: Remove.
+	* psxtests.am: Remove.
+	* include/.cvsignore: Remove.
+	* include/Makefile.am: Remove.
+	* include/pmacros.h: Remove.
+	* psx01/.cvsignore: Remove.
+	* psx01/Makefile.am: Remove.
+	* psx01/init.c: Remove.
+	* psx01/psx01.scn: Remove.
+	* psx01/system.h: Remove.
+	* psx01/task.c: Remove.
+	* psx02/.cvsignore: Remove.
+	* psx02/Makefile.am: Remove.
+	* psx02/init.c: Remove.
+	* psx02/psx02.scn: Remove.
+	* psx02/system.h: Remove.
+	* psx02/task.c: Remove.
+	* psx03/.cvsignore: Remove.
+	* psx03/Makefile.am: Remove.
+	* psx03/init.c: Remove.
+	* psx03/psx03.scn: Remove.
+	* psx03/system.h: Remove.
+	* psx03/task.c: Remove.
+	* psx04/.cvsignore: Remove.
+	* psx04/Makefile.am: Remove.
+	* psx04/init.c: Remove.
+	* psx04/psx04.scn: Remove.
+	* psx04/system.h: Remove.
+	* psx04/task1.c: Remove.
+	* psx04/task2.c: Remove.
+	* psx04/task3.c: Remove.
+	* psx05/.cvsignore: Remove.
+	* psx05/Makefile.am: Remove.
+	* psx05/init.c: Remove.
+	* psx05/psx05.scn: Remove.
+	* psx05/system.h: Remove.
+	* psx05/task.c: Remove.
+	* psx05/task2.c: Remove.
+	* psx05/task3.c: Remove.
+	* psx06/.cvsignore: Remove.
+	* psx06/Makefile.am: Remove.
+	* psx06/init.c: Remove.
+	* psx06/psx06.scn: Remove.
+	* psx06/system.h: Remove.
+	* psx06/task.c: Remove.
+	* psx06/task2.c: Remove.
+	* psx07/.cvsignore: Remove.
+	* psx07/Makefile.am: Remove.
+	* psx07/init.c: Remove.
+	* psx07/psx07.scn: Remove.
+	* psx07/system.h: Remove.
+	* psx07/task.c: Remove.
+	* psx08/.cvsignore: Remove.
+	* psx08/Makefile.am: Remove.
+	* psx08/init.c: Remove.
+	* psx08/psx08.scn: Remove.
+	* psx08/system.h: Remove.
+	* psx08/task1.c: Remove.
+	* psx08/task2.c: Remove.
+	* psx08/task3.c: Remove.
+	* psx09/.cvsignore: Remove.
+	* psx09/Makefile.am: Remove.
+	* psx09/init.c: Remove.
+	* psx09/psx09.scn: Remove.
+	* psx09/system.h: Remove.
+	* psx10/.cvsignore: Remove.
+	* psx10/Makefile.am: Remove.
+	* psx10/init.c: Remove.
+	* psx10/psx10.scn: Remove.
+	* psx10/system.h: Remove.
+	* psx10/task.c: Remove.
+	* psx10/task2.c: Remove.
+	* psx10/task3.c: Remove.
+	* psx11/.cvsignore: Remove.
+	* psx11/Makefile.am: Remove.
+	* psx11/init.c: Remove.
+	* psx11/psx11.scn: Remove.
+	* psx11/system.h: Remove.
+	* psx11/task.c: Remove.
+	* psx12/.cvsignore: Remove.
+	* psx12/Makefile.am: Remove.
+	* psx12/init.c: Remove.
+	* psx12/psx12.scn: Remove.
+	* psx12/system.h: Remove.
+	* psx12/task.c: Remove.
+	* psx13/.cvsignore: Remove.
+	* psx13/Makefile.am: Remove.
+	* psx13/main.c: Remove.
+	* psx13/psx13.scn: Remove.
+	* psx13/test.c: Remove.
+	* psxcancel/.cvsignore: Remove.
+	* psxcancel/Makefile.am: Remove.
+	* psxcancel/init.c: Remove.
+	* psxcancel/psxcancel.scn: Remove.
+	* psxchroot01/.cvsignore: Remove.
+	* psxchroot01/Makefile.am: Remove.
+	* psxchroot01/main.c: Remove.
+	* psxchroot01/psxchroot01.scn: Remove.
+	* psxchroot01/test.c: Remove.
+	* psxfile01/.cvsignore: Remove.
+	* psxfile01/Makefile.am: Remove.
+	* psxfile01/main.c: Remove.
+	* psxfile01/psxfile01.scn: Remove.
+	* psxfile01/test.c: Remove.
+	* psxfile01/test_cat.c: Remove.
+	* psxfile01/test_extend.c: Remove.
+	* psxfile01/test_write.c: Remove.
+	* psxhdrs/.cvsignore: Remove.
+	* psxhdrs/Makefile.am: Remove.
+	* psxhdrs/clock01.c: Remove.
+	* psxhdrs/clock02.c: Remove.
+	* psxhdrs/clock03.c: Remove.
+	* psxhdrs/clock04.c: Remove.
+	* psxhdrs/clock05.c: Remove.
+	* psxhdrs/clock06.c: Remove.
+	* psxhdrs/cond01.c: Remove.
+	* psxhdrs/cond02.c: Remove.
+	* psxhdrs/cond03.c: Remove.
+	* psxhdrs/cond04.c: Remove.
+	* psxhdrs/cond05.c: Remove.
+	* psxhdrs/cond06.c: Remove.
+	* psxhdrs/cond07.c: Remove.
+	* psxhdrs/cond08.c: Remove.
+	* psxhdrs/cond09.c: Remove.
+	* psxhdrs/cond10.c: Remove.
+	* psxhdrs/key01.c: Remove.
+	* psxhdrs/key02.c: Remove.
+	* psxhdrs/key03.c: Remove.
+	* psxhdrs/key04.c: Remove.
+	* psxhdrs/mutex01.c: Remove.
+	* psxhdrs/mutex02.c: Remove.
+	* psxhdrs/mutex03.c: Remove.
+	* psxhdrs/mutex04.c: Remove.
+	* psxhdrs/mutex05.c: Remove.
+	* psxhdrs/mutex06.c: Remove.
+	* psxhdrs/mutex07.c: Remove.
+	* psxhdrs/mutex08.c: Remove.
+	* psxhdrs/mutex09.c: Remove.
+	* psxhdrs/mutex10.c: Remove.
+	* psxhdrs/mutex11.c: Remove.
+	* psxhdrs/mutex12.c: Remove.
+	* psxhdrs/mutex13.c: Remove.
+	* psxhdrs/mutex14.c: Remove.
+	* psxhdrs/mutex15.c: Remove.
+	* psxhdrs/mutex16.c: Remove.
+	* psxhdrs/proc01.c: Remove.
+	* psxhdrs/proc02.c: Remove.
+	* psxhdrs/proc03.c: Remove.
+	* psxhdrs/proc04.c: Remove.
+	* psxhdrs/proc05.c: Remove.
+	* psxhdrs/proc06.c: Remove.
+	* psxhdrs/proc07.c: Remove.
+	* psxhdrs/proc08.c: Remove.
+	* psxhdrs/proc09.c: Remove.
+	* psxhdrs/proc10.c: Remove.
+	* psxhdrs/proc11.c: Remove.
+	* psxhdrs/proc12.c: Remove.
+	* psxhdrs/proc13.c: Remove.
+	* psxhdrs/proc14.c: Remove.
+	* psxhdrs/pthread01.c: Remove.
+	* psxhdrs/pthread02.c: Remove.
+	* psxhdrs/pthread03.c: Remove.
+	* psxhdrs/pthread04.c: Remove.
+	* psxhdrs/pthread05.c: Remove.
+	* psxhdrs/pthread06.c: Remove.
+	* psxhdrs/pthread07.c: Remove.
+	* psxhdrs/pthread08.c: Remove.
+	* psxhdrs/pthread09.c: Remove.
+	* psxhdrs/pthread10.c: Remove.
+	* psxhdrs/pthread11.c: Remove.
+	* psxhdrs/pthread12.c: Remove.
+	* psxhdrs/pthread13.c: Remove.
+	* psxhdrs/pthread14.c: Remove.
+	* psxhdrs/pthread15.c: Remove.
+	* psxhdrs/pthread16.c: Remove.
+	* psxhdrs/pthread17.c: Remove.
+	* psxhdrs/pthread18.c: Remove.
+	* psxhdrs/pthread19.c: Remove.
+	* psxhdrs/pthread20.c: Remove.
+	* psxhdrs/pthread21.c: Remove.
+	* psxhdrs/pthread22.c: Remove.
+	* psxhdrs/pthread23.c: Remove.
+	* psxhdrs/pthread24.c: Remove.
+	* psxhdrs/pthread25.c: Remove.
+	* psxhdrs/pthread26.c: Remove.
+	* psxhdrs/pthread27.c: Remove.
+	* psxhdrs/pthread28.c: Remove.
+	* psxhdrs/pthread29.c: Remove.
+	* psxhdrs/pthread30.c: Remove.
+	* psxhdrs/pthread31.c: Remove.
+	* psxhdrs/pthread32.c: Remove.
+	* psxhdrs/pthread33.c: Remove.
+	* psxhdrs/pthread34.c: Remove.
+	* psxhdrs/pthread35.c: Remove.
+	* psxhdrs/pthread36.c: Remove.
+	* psxhdrs/sched01.c: Remove.
+	* psxhdrs/sched02.c: Remove.
+	* psxhdrs/sched03.c: Remove.
+	* psxhdrs/sched04.c: Remove.
+	* psxhdrs/sched05.c: Remove.
+	* psxhdrs/sched06.c: Remove.
+	* psxhdrs/sched07.c: Remove.
+	* psxhdrs/sched08.c: Remove.
+	* psxhdrs/signal01.c: Remove.
+	* psxhdrs/signal02.c: Remove.
+	* psxhdrs/signal03.c: Remove.
+	* psxhdrs/signal04.c: Remove.
+	* psxhdrs/signal05.c: Remove.
+	* psxhdrs/signal06.c: Remove.
+	* psxhdrs/signal07.c: Remove.
+	* psxhdrs/signal08.c: Remove.
+	* psxhdrs/signal09.c: Remove.
+	* psxhdrs/signal10.c: Remove.
+	* psxhdrs/signal11.c: Remove.
+	* psxhdrs/signal12.c: Remove.
+	* psxhdrs/signal13.c: Remove.
+	* psxhdrs/signal14.c: Remove.
+	* psxhdrs/signal15.c: Remove.
+	* psxhdrs/signal16.c: Remove.
+	* psxhdrs/signal17.c: Remove.
+	* psxhdrs/signal18.c: Remove.
+	* psxhdrs/signal19.c: Remove.
+	* psxhdrs/signal20.c: Remove.
+	* psxhdrs/signal21.c: Remove.
+	* psxhdrs/signal22.c: Remove.
+	* psxhdrs/signal23.c: Remove.
+	* psxhdrs/sync01.c: Remove.
+	* psxhdrs/sync02.c: Remove.
+	* psxhdrs/sync03.c: Remove.
+	* psxhdrs/time01.c: Remove.
+	* psxhdrs/time02.c: Remove.
+	* psxhdrs/time03.c: Remove.
+	* psxhdrs/time04.c: Remove.
+	* psxhdrs/time05.c: Remove.
+	* psxhdrs/time06.c: Remove.
+	* psxhdrs/time07.c: Remove.
+	* psxhdrs/time08.c: Remove.
+	* psxhdrs/time09.c: Remove.
+	* psxhdrs/time10.c: Remove.
+	* psxhdrs/time11.c: Remove.
+	* psxhdrs/time12.c: Remove.
+	* psxhdrs/time13.c: Remove.
+	* psxhdrs/timer01.c: Remove.
+	* psxhdrs/timer02.c: Remove.
+	* psxhdrs/timer03.c: Remove.
+	* psxhdrs/timer04.c: Remove.
+	* psxhdrs/timer05.c: Remove.
+	* psxhdrs/timer06.c: Remove.
+	* psxhdrs/timer07.c: Remove.
+	* psxmount/.cvsignore: Remove.
+	* psxmount/Makefile.am: Remove.
+	* psxmount/main.c: Remove.
+	* psxmount/psxmount.scn: Remove.
+	* psxmount/test.c: Remove.
+	* psxmsgq01/.cvsignore: Remove.
+	* psxmsgq01/Makefile.am: Remove.
+	* psxmsgq01/init.c: Remove.
+	* psxmsgq01/psxmsgq01.scn: Remove.
+	* psxmsgq01/system.h: Remove.
+	* psxreaddir/.cvsignore: Remove.
+	* psxreaddir/Makefile.am: Remove.
+	* psxreaddir/main.c: Remove.
+	* psxreaddir/psxreaddir.scn: Remove.
+	* psxreaddir/test.c: Remove.
+	* psxsem01/.cvsignore: Remove.
+	* psxsem01/Makefile.am: Remove.
+	* psxsem01/init.c: Remove.
+	* psxsem01/psxsem01.scn: Remove.
+	* psxsem01/system.h: Remove.
+	* psxstat/.cvsignore: Remove.
+	* psxstat/Makefile.am: Remove.
+	* psxstat/main.c: Remove.
+	* psxstat/psxstat.scn: Remove.
+	* psxstat/test.c: Remove.
+	* psxtime/.cvsignore: Remove.
+	* psxtime/Makefile.am: Remove.
+	* psxtime/main.c: Remove.
+	* psxtime/psxtime.scn: Remove.
+	* psxtime/test.c: Remove.
+	* psxtimer/.cvsignore: Remove.
+	* psxtimer/Makefile.am: Remove.
+	* psxtimer/psxtimer.c: Remove.
+	* psxtimer/psxtimer.scn: Remove.
+	* psxtimer/system.h: Remove.
+
 2003-10-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 