Index: c/src/ChangeLog
===================================================================
--- c/src/ChangeLog	(revision f7952533da9308cc130c11944ed19c5ab69e251a)
+++ c/src/ChangeLog	(revision 9346df00c39feb4873da34dd020a3955d6774913)
@@ -1,2 +1,6 @@
+2002-12-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.ac: Remove libmisc.
+
 2002-12-07	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/configure.ac
===================================================================
--- c/src/configure.ac	(revision f7952533da9308cc130c11944ed19c5ab69e251a)
+++ c/src/configure.ac	(revision 9346df00c39feb4873da34dd020a3955d6774913)
@@ -18,7 +18,4 @@
 AM_INIT_AUTOMAKE([no-define foreign 1.6])
 AM_MAINTAINER_MODE
-
-RTEMS_PROG_CC_FOR_TARGET
-RTEMS_CANONICALIZE_TOOLS
 
 RTEMS_ENABLE_MULTILIB
@@ -60,45 +57,48 @@
 
 # Read back the cache
-AC_CACHE_CHECK([for RTEMS_CPU_MODEL], [rtems_cv_RTEMS_CPU_MODEL],
+AC_CACHE_CHECK([for RTEMS_CPU_MODEL], [ac_cv_env_RTEMS_CPU_MODEL],
 [. $RTEMS_TOPdir/c/${RTEMS_BSP}/make/${RTEMS_BSP}.cache])
-RTEMS_CPU_MODEL=$rtems_cv_RTEMS_CPU_MODEL
+RTEMS_CPU_MODEL=$ac_cv_env_RTEMS_CPU_MODEL
 AC_SUBST(RTEMS_CPU_MODEL)
 test -n "${RTEMS_CPU_MODEL}" && \
   ac_configure_args="$ac_configure_args 'RTEMS_CPU_MODEL=${RTEMS_CPU_MODEL}'"
 
-AC_CACHE_CHECK([for RTEMS_BSP_FAMILY],[rtems_cv_RTEMS_BSP_FAMILY],
+AC_CACHE_CHECK([for RTEMS_BSP_FAMILY],[ac_cv_env_RTEMS_BSP_FAMILY],
 [. $RTEMS_TOPdir/c/${RTEMS_BSP}/make/${RTEMS_BSP}.cache])
-RTEMS_BSP_FAMILY=$rtems_cv_RTEMS_BSP_FAMILY
+RTEMS_BSP_FAMILY=$ac_cv_env_RTEMS_BSP_FAMILY
 AC_SUBST(RTEMS_BSP_FAMILY)
 test -n "${RTEMS_BSP_FAMILY}" && \
   ac_configure_args="$ac_configure_args 'RTEMS_BSP_FAMILY=${RTEMS_BSP_FAMILY}'"
 
-AC_CACHE_CHECK([for RTEMS_BSP_CFLAGS],[rtems_cv_RTEMS_BSP_CFLAGS],
+AC_CACHE_CHECK([for CPU_CFLAGS],[ac_cv_env_CPU_CFLAGS],
 [. $RTEMS_TOPdir/c/${RTEMS_BSP}/make/${RTEMS_BSP}.cache])
-RTEMS_BSP_CFLAGS=$rtems_cv_RTEMS_BSP_CFLAGS
-AC_SUBST(RTEMS_BSP_CFLAGS)
-test -n "${RTEMS_BSP_CFLAGS}" && \
-  ac_configure_args="$ac_configure_args 'CPU_CFLAGS=${RTEMS_BSP_CFLAGS}'"
+CPU_CFLAGS=$ac_cv_env_CPU_CFLAGS
+AC_SUBST(CPU_CFLAGS)
+test -n "${CPU_CFLAGS}" && \
+  ac_configure_args="$ac_configure_args 'CPU_CFLAGS=${CPU_CFLAGS}'"
 
-AC_CACHE_CHECK([for RTEMS_BSP_CFLAGS_OPTIMIZE_V],[rtems_cv_RTEMS_BSP_CFLAGS_OPTIMIZE_V],
+AC_CACHE_CHECK([for CFLAGS_OPTIMIZE_V],[ac_cv_env_CFLAGS_OPTIMIZE_V],
 [. $RTEMS_TOPdir/c/${RTEMS_BSP}/make/${RTEMS_BSP}.cache])
-RTEMS_BSP_CFLAGS_OPTIMIZE_V=$rtems_cv_RTEMS_BSP_CFLAGS_OPTIMIZE_V
-AC_SUBST(RTEMS_BSP_CFLAGS_OPTIMIZE_V)
-test -n "{RTEMS_BSP_CFLAGS_OPTIMIZE_V}" && \
-  ac_configure_args="$ac_configure_args 'CFLAGS_OPTIMIZE_V=${RTEMS_BSP_CFLAGS_OPTIMIZE_V}'"
+CFLAGS_OPTIMIZE_V=$ac_cv_env_CFLAGS_OPTIMIZE_V
+AC_SUBST(CFLAGS_OPTIMIZE_V)
+test -n "${CFLAGS_OPTIMIZE_V}" && \
+  ac_configure_args="$ac_configure_args 'CFLAGS_OPTIMIZE_V=${CFLAGS_OPTIMIZE_V}'"
 
-AC_CACHE_CHECK([for RTEMS_BSP_CFLAGS_DEBUG_V],[rtems_cv_RTEMS_BSP_CFLAGS_DEBUG_V],
+AC_CACHE_CHECK([for CFLAGS_DEBUG_V],[ac_cv_env_CFLAGS_DEBUG_V],
 [. $RTEMS_TOPdir/c/${RTEMS_BSP}/make/${RTEMS_BSP}.cache])
-RTEMS_BSP_CFLAGS_DEBUG_V=$rtems_cv_RTEMS_BSP_CFLAGS_DEBUG_V
-AC_SUBST(RTEMS_BSP_CFLAGS_DEBUG_V)
-test -n "${RTEMS_BSP_CFLAGS_DEBUG_V}" && \
-  ac_configure_args="$ac_configure_args 'CFLAGS_DEBUG_V=${RTEMS_BSP_CFLAGS_DEBUG_V}'"
+CFLAGS_DEBUG_V=$ac_cv_env_CFLAGS_DEBUG_V
+AC_SUBST(CFLAGS_DEBUG_V)
+test -n "${CFLAGS_DEBUG_V}" && \
+  ac_configure_args="$ac_configure_args 'CFLAGS_DEBUG_V=${CFLAGS_DEBUG_V}'"
 
-AC_CACHE_CHECK([for RTEMS_BSP_CFLAGS_PROFILE_V],[rtems_cv_RTEMS_BSP_CFLAGS_PROFILE_V],
+AC_CACHE_CHECK([for CFLAGS_PROFILE_V],[ac_cv_env_CFLAGS_PROFILE_V],
 [. $RTEMS_TOPdir/c/${RTEMS_BSP}/make/${RTEMS_BSP}.cache])
-RTEMS_BSP_CFLAGS_PROFILE_V=$rtems_cv_RTEMS_BSP_CFLAGS_PROFILE_V
-AC_SUBST(RTEMS_BSP_CFLAGS_PROFILE_V)
-test -n "${RTEMS_BSP_CFLAGS_PROFILE_V}" && \
-  ac_configure_args="$ac_configure_args 'CFLAGS_PROFILE_V=${RTEMS_BSP_CFLAGS_PROFILE_V}'"
+CFLAGS_PROFILE_V=$ac_cv_env_CFLAGS_PROFILE_V
+AC_SUBST(CFLAGS_PROFILE_V)
+test -n "${CFLAGS_PROFILE_V}" && \
+  ac_configure_args="$ac_configure_args 'CFLAGS_PROFILE_V=${CFLAGS_PROFILE_V}'"
+
+RTEMS_PROG_CC_FOR_TARGET
+RTEMS_CANONICALIZE_TOOLS
 
 
@@ -124,6 +124,4 @@
 AC_CONFIG_SUBDIRS([lib/libbsp])
 BSP_SUBDIRS="$BSP_SUBDIRS lib/libbsp"
-AC_CONFIG_SUBDIRS([libmisc])
-BSP_SUBDIRS="$BSP_SUBDIRS libmisc"
 
 AS_IF([test "$RTEMS_CPU" != "unix"],[