Index: c/Makefile.in
===================================================================
--- c/Makefile.in	(revision 4ad3d3727b164b9192f0d270c694f4ae3656a45b)
+++ c/Makefile.in	(revision 9572c41d0911684bdcd4c3d14c8b19ff8def65b3)
@@ -93,5 +93,5 @@
 		DIR=`dirname $$i`; \
 		cd $$DIR; \
-		$(MAKE) preinstall; \
+		$(MAKE) RTEMS_BSP=${RTEMS_BSP} preinstall; \
 		cd $$CURRDIR; \
 	done
Index: c/src/lib/librdbg/Makefile.in
===================================================================
--- c/src/lib/librdbg/Makefile.in	(revision 4ad3d3727b164b9192f0d270c694f4ae3656a45b)
+++ c/src/lib/librdbg/Makefile.in	(revision 9572c41d0911684bdcd4c3d14c8b19ff8def65b3)
@@ -14,88 +14,10 @@
 PROJECT_ROOT = @PROJECT_ROOT@
 
-VPATH = @srcdir@:@srcdir@/$(RTEMS_CPU)
+VPATH = @srcdir@
 
-LIBNAME=librdbg.a
-LIB=${ARCH}/${LIBNAME}
+include $(RTEMS_ROOT)/make/custom/${RTEMS_BSP}.cfg
+include $(RTEMS_ROOT)/make/directory.cfg
 
-# C and C++ source names, if any, go here -- minus the .c or .cc
-C_PIECES= rdbg servcon servbkpt servrpc excep \
-	  servtgt servtsp servutil _servtgt rdbg_f \
-	  ptrace 
-C_FILES=$(C_PIECES:%=%.c)
-C_O_FILES=$(C_PIECES:%=${ARCH}/%.o)
-
-# Asm source names, if any, go here -- minus the .s 
-ASM_PIECES= rdbg_cpu_asm
-ASM_FILES=$(ASM_PIECES:%=%.s)
-ASM_O_FILES=$(ASM_PIECES:%=${ARCH}/%.o)
-
-# Generated C source names, if any, go here -- minus the .c
-C_GEN_PIECES= remdeb_xdr remdeb_svc
-C_GEN_FILES=$(C_GEN_PIECES:%=%.c)
-C_GEN_O_FILES=$(C_GEN_PIECES:%=${ARCH}/%.o)
-
-# H source names, if any, go here -- minus the .h
-H_PIECES=remdeb
-H_FILES=$(H_PIECES:%=%.h)
-
-# X source names, if any, go here -- minus the .x 
-X_FILE1=remdeb.x
-X_FILE2=remdeb_f.x
-X_FILES=$(X_FILE1) $(X_FILE2) 
-
-SRCS=$(C_FILES) $(ASM_FILES) $(C_GEN_FILES) $(H_FILES)
-OBJS=$(C_GEN_O_FILES) $(C_O_FILES) $(ASM_O_FILES)
-
-RPCGEN=@RPCGEN@
-AWK=@AWK@
-
-include $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
-include $(RTEMS_ROOT)/make/lib.cfg
-
-#
-# Add local stuff here using +=
-#
-
-DEFINES  += 
-CPPFLAGS +=
-CFLAGS   +=
-
-#
-# Add your list of files to delete here.  The config files
-#  already know how to delete some stuff, so you may want
-#  to just run 'make clean' first to see what gets missed.
-#  'make clobber' already includes 'make clean'
-#
-
-CLEAN_ADDITIONS += $(LIB) $(H_FILES) $(X_FILES) $(C_GEN_FILES)
-CLOBBER_ADDITIONS +=
-
-all:	${ARCH} $(LIB) 
-	$(INSTALL_VARIANT) -m 644 $(LIB) ${PROJECT_RELEASE}/lib
-
-$(LIB): $(SRCS) ${OBJS}
-	$(make-library)
-
-remdeb.h: $(X_FILES)
-	@rm -f $@
-	$(RPCGEN) -h remdeb.x -o $@
-	@rm -f $(PROJECT_INCLUDE)/rdbg/$@
-	$(INSTALL_CHANGE) -m 444 $@ $(PROJECT_INCLUDE)/rdbg
-
-remdeb_xdr.c: $(X_FILES)
-	@rm -f $@
-	$(RPCGEN) -c remdeb.x -o $@
-
-remdeb_svc.c: $(X_FILES)
-	@rm -f $@ tmpSvc.c
-	$(RPCGEN) -s udp remdeb.x -o tmpSvc.c
-	$(AWK) -f @srcdir@/awk.svc THEPROG="remdeb.h" tmpSvc.c >$@
-	@rm -f tmpSvc.c
-
-preinstall:
-	@rm -f $(X_FILES)
-	@cp @srcdir@/$(X_FILE1) .
-	@cp @srcdir@/$(RTEMS_CPU)/$(RTEMS_BSP)/$(X_FILE2) .
+SUB_DIRS=$(RTEMS_CPU)
 
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: c/src/lib/librdbg/remdeb.x
===================================================================
--- c/src/lib/librdbg/remdeb.x	(revision 4ad3d3727b164b9192f0d270c694f4ae3656a45b)
+++ c/src/lib/librdbg/remdeb.x	(revision 9572c41d0911684bdcd4c3d14c8b19ff8def65b3)
@@ -108,5 +108,5 @@
 };
 
-#include "remdeb_f.x"
+#include FRONTEND
 
 const MAXDEBUGGEE= 150;
Index: c/src/librdbg/src/Makefile.in
===================================================================
--- c/src/librdbg/src/Makefile.in	(revision 4ad3d3727b164b9192f0d270c694f4ae3656a45b)
+++ c/src/librdbg/src/Makefile.in	(revision 9572c41d0911684bdcd4c3d14c8b19ff8def65b3)
@@ -14,88 +14,10 @@
 PROJECT_ROOT = @PROJECT_ROOT@
 
-VPATH = @srcdir@:@srcdir@/$(RTEMS_CPU)
+VPATH = @srcdir@
 
-LIBNAME=librdbg.a
-LIB=${ARCH}/${LIBNAME}
+include $(RTEMS_ROOT)/make/custom/${RTEMS_BSP}.cfg
+include $(RTEMS_ROOT)/make/directory.cfg
 
-# C and C++ source names, if any, go here -- minus the .c or .cc
-C_PIECES= rdbg servcon servbkpt servrpc excep \
-	  servtgt servtsp servutil _servtgt rdbg_f \
-	  ptrace 
-C_FILES=$(C_PIECES:%=%.c)
-C_O_FILES=$(C_PIECES:%=${ARCH}/%.o)
-
-# Asm source names, if any, go here -- minus the .s 
-ASM_PIECES= rdbg_cpu_asm
-ASM_FILES=$(ASM_PIECES:%=%.s)
-ASM_O_FILES=$(ASM_PIECES:%=${ARCH}/%.o)
-
-# Generated C source names, if any, go here -- minus the .c
-C_GEN_PIECES= remdeb_xdr remdeb_svc
-C_GEN_FILES=$(C_GEN_PIECES:%=%.c)
-C_GEN_O_FILES=$(C_GEN_PIECES:%=${ARCH}/%.o)
-
-# H source names, if any, go here -- minus the .h
-H_PIECES=remdeb
-H_FILES=$(H_PIECES:%=%.h)
-
-# X source names, if any, go here -- minus the .x 
-X_FILE1=remdeb.x
-X_FILE2=remdeb_f.x
-X_FILES=$(X_FILE1) $(X_FILE2) 
-
-SRCS=$(C_FILES) $(ASM_FILES) $(C_GEN_FILES) $(H_FILES)
-OBJS=$(C_GEN_O_FILES) $(C_O_FILES) $(ASM_O_FILES)
-
-RPCGEN=@RPCGEN@
-AWK=@AWK@
-
-include $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
-include $(RTEMS_ROOT)/make/lib.cfg
-
-#
-# Add local stuff here using +=
-#
-
-DEFINES  += 
-CPPFLAGS +=
-CFLAGS   +=
-
-#
-# Add your list of files to delete here.  The config files
-#  already know how to delete some stuff, so you may want
-#  to just run 'make clean' first to see what gets missed.
-#  'make clobber' already includes 'make clean'
-#
-
-CLEAN_ADDITIONS += $(LIB) $(H_FILES) $(X_FILES) $(C_GEN_FILES)
-CLOBBER_ADDITIONS +=
-
-all:	${ARCH} $(LIB) 
-	$(INSTALL_VARIANT) -m 644 $(LIB) ${PROJECT_RELEASE}/lib
-
-$(LIB): $(SRCS) ${OBJS}
-	$(make-library)
-
-remdeb.h: $(X_FILES)
-	@rm -f $@
-	$(RPCGEN) -h remdeb.x -o $@
-	@rm -f $(PROJECT_INCLUDE)/rdbg/$@
-	$(INSTALL_CHANGE) -m 444 $@ $(PROJECT_INCLUDE)/rdbg
-
-remdeb_xdr.c: $(X_FILES)
-	@rm -f $@
-	$(RPCGEN) -c remdeb.x -o $@
-
-remdeb_svc.c: $(X_FILES)
-	@rm -f $@ tmpSvc.c
-	$(RPCGEN) -s udp remdeb.x -o tmpSvc.c
-	$(AWK) -f @srcdir@/awk.svc THEPROG="remdeb.h" tmpSvc.c >$@
-	@rm -f tmpSvc.c
-
-preinstall:
-	@rm -f $(X_FILES)
-	@cp @srcdir@/$(X_FILE1) .
-	@cp @srcdir@/$(RTEMS_CPU)/$(RTEMS_BSP)/$(X_FILE2) .
+SUB_DIRS=$(RTEMS_CPU)
 
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: c/src/librdbg/src/remdeb.x
===================================================================
--- c/src/librdbg/src/remdeb.x	(revision 4ad3d3727b164b9192f0d270c694f4ae3656a45b)
+++ c/src/librdbg/src/remdeb.x	(revision 9572c41d0911684bdcd4c3d14c8b19ff8def65b3)
@@ -108,5 +108,5 @@
 };
 
-#include "remdeb_f.x"
+#include FRONTEND
 
 const MAXDEBUGGEE= 150;
Index: make/custom/force386.cfg
===================================================================
--- make/custom/force386.cfg	(revision 4ad3d3727b164b9192f0d270c694f4ae3656a45b)
+++ make/custom/force386.cfg	(revision 9572c41d0911684bdcd4c3d14c8b19ff8def65b3)
@@ -25,4 +25,7 @@
 # to enable it.
 HAS_NETWORKING=no
+
+# This BSP does not support librdbg
+HAS_RDBG=no
 
 #  This section makes the target dependent options file.
Index: make/custom/i386ex.cfg
===================================================================
--- make/custom/i386ex.cfg	(revision 4ad3d3727b164b9192f0d270c694f4ae3656a45b)
+++ make/custom/i386ex.cfg	(revision 9572c41d0911684bdcd4c3d14c8b19ff8def65b3)
@@ -21,4 +21,7 @@
 # -O4 is ok for RTEMS
 CFLAGS_OPTIMIZE_V=-O4 -fomit-frame-pointer
+
+# This BSP does not support librdbg
+HAS_RDBG=no
 
 #  This section makes the target dependent options file.